* {
    margin: 0;
    padding: 0;
    font-family: 'Cormorant Garamond', serif;
}

html {
    height: 100%;
    min-width: 270px;
    scroll-behavior: smooth;
}

body {
    background-color: #181818;
    color: #f3f3f3;
    height: 100%;
    width: 100%;
    font-size: 20px;
    margin: 0;
}

h1 {
    font-weight: 300;
    font-size: 2rem;
    text-align: center;
    text-transform: uppercase;
    margin-top: 10rem;
    text-shadow: 0px 0px 6px black;
}

p {
    font-size: 1.4rem;
    font-weight: 300;
    padding-top: 4rem;
    color: white;
    text-align: center;
}

a {
    text-decoration: none;
}

/* -- Start Hamburger Menu Code -- */
header {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 600px;
    background-image: linear-gradient(rgba(0, 0, 0, .2), rgba(0, 0, 0, .2)), url(./assetsportfolio/TDI_7064.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    box-shadow: 0px 40px 40px 0px rgba(0, 0, 0, .4) inset;
}

header p {
    text-transform: uppercase;
    word-spacing: 8px;
    text-shadow: 0px 0px 6px black;
}

.hamburger {
    height: 20px;
    width: 20px;
    padding: 20px;
    float: right;
    cursor: pointer;
    border-radius: 0 0 5px 0;
    transition: .5s;
}

.hamburger:hover {
    box-shadow: 0px 0px 8px rgb(74, 137, 255);
}

.hamburger:before {
    content: "";
    display: block;
    background-color: #f3f3f3;
    width: 100%;
    height: 4px;
}

.hamburger:after {
    content: "";
    display: block;
    background-color: #f3f3f3;
    width: 100%;
    height: 4px;
    margin-top: 4px;
    box-shadow: 0px 8px 0 #f3f3f3;
}

nav {
    background-color: transparent;
    margin-bottom: 2rem;
    max-height: 0;
    overflow: hidden;
    clear: both;
    transition: .3s;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: block;
}

nav li {
    display: block;
    margin: 10px 0;
    text-align: center;
}

nav a {
    color: white;
    display: block;
}

header input[type="checkbox"]:checked~nav {
    max-height: 150px;
}

header a,
header label {
    transition: .3s;
}

header a:hover,
header a:focus,
header label:hover,
header label:focus {
    background-color: rgba(0, 0, 0, .2);
    text-shadow: 0px 0px 8px white;
    color: white;
}

/**********************/
/*    PORTFOLIO LIST  */
/**********************/
.pictures {
    width: 100%;
    min-height: 500px;
    overflow: hidden;
    flex-wrap: wrap;
}

.picture {
    background-image: url(./assetsportfolio/Balbr_Sunrise1.jpg);
    min-height: 500px;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    transition: 1.5s;
}

.picture:hover {
    transform: scale(1.03);
}

.commercial .picture {
    background-image: url(./assetsportfolio/TDI_1691.jpg);
}

.lifestyle .picture {
    background-image: url(./assetsportfolio/TDI_2305.jpg);
}

.wildelife .picture {
    background-image: url(./assetsportfolio/TDI_2335_1.jpg);
}

.portraits .picture {
    background-image: url(./assetsportfolio/TDI_5069.jpg);
}

.landscapes .picture {
    background-image: url(./assetsportfolio/DJI_0026hdr.jpg);
}

.titles {
    background-color: rgba(44, 44, 44, 0.7);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #f3f3f3;
    text-shadow: 0px 0px 12px black;
    padding: 2rem 0 4rem;
    transition: .5s;
}

.titles:hover {
    text-shadow: 0px 0px 12px white;
}

.titles>.fa-solid {
    padding: 1rem 0;
}

.titles h3 {
    text-transform: uppercase;
    font-weight: 300;
    font-size: 1.2rem;
    padding-bottom: .8rem;
}

.titles h2 {
    font-weight: 300;
    font-size: 2.5rem;
    padding-bottom: .8rem;
}

/****************************/
/*       ABOUT-CONTACT      */
/****************************/
.about-contact_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 4rem 0;
}

.about-contact {
    margin: 1rem;
}

.about_container,
.contact_container {
    text-align: center;
    color: #f3f3f3;
    margin: 3rem 1rem;
    transition: .5s;
}

.about_container:hover,
.contact_container:hover {
    text-shadow: 0px 0px 15px white;
}

.about_container h3,
.contact_container h3 {
    font-weight: 300;
    font-size: 2rem;
    padding: 1rem;
}

.about_container h4,
.contact_container h4 {
    text-transform: uppercase;
    font-weight: 300;
    padding: 1rem;
}

/*************************/
/*      GET-IN-TOUCH     */
/*************************/
.get-in-touch {
    position: relative;
    width: 100%;
    height: 500px;
    overflow: hidden;
}

.get-in-touch>img {
    display: block;
    height: 500px;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    object-fit: cover;
    transition: 1.5s;
}

.get-in-touch:hover>img.blur {
    transform: scale(1.03);
}

.getintouch-text {
    position: absolute;
    inset: 0;
    padding: 2rem;
    line-height: 3rem;
    background: rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.getintouch-text>h2 {
    font-size: 1.6rem;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: .2rem;
    text-shadow: 0px 0px 6px black;
    padding: 10px 0 10px 20px;
}

.getintouch-text>h3 {
    font-size: 1rem;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: .2rem;
    text-shadow: 0px 0px 6px black;
    padding: 10px 0 10px 20px;
}

.story-button {
    text-decoration: none;
    text-transform: uppercase;
    color: #252525;
    background-color: #f3f3f3;
    padding: 10px 20px;
    cursor: pointer;
    outline: none;
    transition: .5s;
    margin-left: 20px;
}

.story-button:hover {
    color: #f3f3f3;
    background-color: rgba(92, 92, 92, .7);
}

/*************************/
/*     FOOTER            */
/*************************/
.footer-container {
    display: flex;
    flex-direction: column;
}

.footer-navbar-arrowup {
    display: flex;
    justify-content: center;
}

.footer-navbar,
.footer-arrowup {
    display: flex;
    flex-direction: column;
    padding: 50px 30px;
}

.footer-navbar>a {
    text-decoration: none;
    color: rgb(200, 200, 200);
    padding: 10px 20px;
    transition: .5s;
    font-size: 1.2rem;
}

.footer-navbar>a:hover {
    text-shadow: 0px 0px 8px white;
    color: white;
}

.fa-arrow-up-long {
    color: rgb(200, 200, 200);
    justify-self: flex-start;
    font-size: 1.5rem;
    transition: .5s;
}

.fa-arrow-up-long:hover {
    text-shadow: 0px 0px 8px white;
    color: white;
}

.footer-copyright-social {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px 0 80px 0;
}

.footer-copyright {
    display: flex;
    align-items: center;
}

.footer-copyright p {
    padding: 10px;
    font-size: .9rem;
}

.social {
    display: flex;
}

.social>a {
    text-decoration: none;
    padding: 10px;
    margin: 0 5px;
    color: white;
    transition: .5s;
}

.social>a:hover {
    color: lightslategray;
}

.poweredbydtp {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 30px;
    color: #f3f3f3;
    background-color: #252525;
    position: fixed;
    z-index: 10;
    bottom: 0;
}

.poweredbydtp a {
    font-size: 18px;
    padding: 0 8px;
    color: #e97c00;
    transition: .5s;
    cursor: pointer;
    border: none;
}

.poweredbydtp a:hover {
    color: #ffaa48;
    text-shadow: 0px 0px 8px white;
}

.powered {
    font-size: 14px;
    letter-spacing: 1px;
    color: #f3f3f3;
    padding: 0;
}

/****************************/
/*       RESPONSIVE         */
/****************************/
@media (min-width: 768px) {
    header {
        height: 910px;
        background-attachment: fixed;
    }

    h1 {
        font-size: 4rem;
        padding-top: 2rem;
        letter-spacing: 4px;
        word-spacing: 15px;
        margin-top: 13rem;
    }

    p {
        font-size: 2.2rem;
        padding-top: 5rem;
        letter-spacing: 2px;
        text-transform: uppercase;
    }

    .hamburger {
        display: none;
    }

    header a:hover,
    header a:focus,
    header label:hover,
    hedaer label:focus {
        background-color: transparent;
    }

    nav {
        display: flex;
        justify-content: space-evenly;
        border: 0 !important;
        max-height: none;
    }

    nav ul,
    nav li,
    nav li a {
        display: inline-block;
    }

    nav a {
        display: inline-block;
        padding: 10px;
        margin: 10px 35px;
        font-size: 1.5rem;
    }

    .about-contact_container {
        flex-direction: row;
        justify-content: space-around;
        padding: 8rem 0;
    }

    .format {
        display: flex;
    }

    .pictures {
        width: 60vw;
        height: 650px;
    }

    .picture {
        height: 650px;
    }

    .titles {
        width: 40vw;
    }

    .commercial,
    .portraits {
        flex-direction: row-reverse;
    }

    .get-in-touch {
        height: 800px;
    }

    .get-in-touch>img {
        height: 800px;
    }

    .getintouch-text {
        padding: 5rem;
        line-height: 5rem;
    }

    .getintouch-text>h2 {
        font-size: 3rem;
        letter-spacing: .3rem;
    }

    .getintouch-text>h3 {
        font-size: 1.3rem;
        letter-spacing: .3rem;
    }

    /*************************/
    /*     FOOTER            */
    /*************************/
    .footer-navbar-arrowup {
        padding: 20px;
    }

    .footer-navbar,
    .footer-arrowup {
        flex-direction: row;
    }

    .footer-navbar>a {
        padding: 0px 20px;
        font-size: 1.4rem;
    }

    .footer-copyright p {
        font-size: 1.2rem;
        text-transform: none;
    }

    .powered {
        text-transform: none;
    }
}

.hidden {
    position: fixed;
    top: -100%;
    left: -100%;
}